Skip to main content
POST
/
v1
/
projects
/
{projectID}
/
endpoints
/
oauth2
/
test
Test OAuth2 connection
curl --request POST \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/endpoints/oauth2/test \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "oauth2": {
    "audience": "<string>",
    "authentication_type": "<string>",
    "client_id": "<string>",
    "client_secret": "<string>",
    "expiry_time_unit": "<string>",
    "field_mapping": {
      "access_token": "<string>",
      "expires_in": "<string>",
      "token_type": "<string>"
    },
    "grant_type": "<string>",
    "issuer": "<string>",
    "scope": "<string>",
    "signing_algorithm": "<string>",
    "signing_key": {
      "crv": "<string>",
      "d": "<string>",
      "dp": "<string>",
      "dq": "<string>",
      "e": "<string>",
      "kid": "<string>",
      "kty": "<string>",
      "n": "<string>",
      "p": "<string>",
      "q": "<string>",
      "qi": "<string>",
      "x": "<string>",
      "y": "<string>"
    },
    "subject": "<string>",
    "url": "<string>"
  }
}
'
{
  "message": "<string>",
  "status": true,
  "data": {
    "access_token": "<string>",
    "error": "<string>",
    "expires_at": "<string>",
    "message": "<string>",
    "success": true,
    "token_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

Body

application/json

OAuth2 Configuration

oauth2
object

Response

OK

message
string
status
boolean
data
object